Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.systemevents
Class SystemEventSupport

    java.lang.Object
      |
      +--uk.ac.man.bioinf.apps.systemevents.SystemEventSupport

All Implemented Interfaces:
  SystemEventProducer

public class SystemEventSupport
extends Object
implements SystemEventProducer

SystemEventSupport.java Provides a basic queue for holding all the listeners. Im using a priority queue here. Created: Thu Apr 15 17:44:57 1999

Version:
  $Id: SystemEventSupport.java,v 1.3 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`SystemEventSupport()`

Method Summary
`void` | `addSystemEventListener(SystemListener listener)`
`void` | `fireSystemEvent(SystemEventOption option)`
`int` | `getLastPriorityRun()` The priority of the last listener which this class attempted to inform of a system event.
`void` | `removeSystemEventListener(SystemListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemEventSupport

    public SystemEventSupport()

Method Detail

### addSystemEventListener

    public void addSystemEventListener(SystemListener listener)

  Specified by:
    `addSystemEventListener` in interface `SystemEventProducer`

### removeSystemEventListener

    public void removeSystemEventListener(SystemListener listener)

  Specified by:
    `removeSystemEventListener` in interface `SystemEventProducer`

### fireSystemEvent

    public void fireSystemEvent(SystemEventOption option)
                         throws SystemVetoException

    `SystemVetoException`

### getLastPriorityRun

    public int getLastPriorityRun()

  The priority of the last listener which this class attempted to inform of a system event. If the runSystemEvent throws an exception this method will therefore be the priority of the listener throwing that exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD